#1 2014-08-06 16:48:53

GoodOldD5
Member
Registered: 2014-08-06
Posts: 1

D5 Version Synopse mORMot framework available?

Hi All,

Retired, fixed income still using my faithful old D5-Ent. Suffice to say, I will not be upgrading unless I win a lottery, and that will be hard as I never enter any. smile

I am looking for a free SQLite wrapper for D5. I am currently using Zeos 6.6 but it is plagued with un-repaired bugs. I found a link to this "Synopse mORMot framework," but as is often the case these days, it starts out at D6.

So, can anyone please point me in the direction of an earlier version that supported D5?

Thank you.

Last edited by GoodOldD5 (2014-08-06 16:49:28)

Offline

#2 2014-08-06 20:11:00

ab
Administrator
From: France
Registered: 2010-06-21
Posts: 13,244
Website

Re: D5 Version Synopse mORMot framework available?

For Delphi 5 (and up to XE6), you have two units worth considering:

1. SynSQLite3 (+ SynSQLite3Static) which is a direct low-level wrapper of the latest version of SQLite3, statically linked to the .exe, or linked as external .dll.

2. SynDB + SynDBSQLite3 which are a small layer over the first units, but is provider-free.
Using SynDB, you can switch later to direct OleDB or ODBC provider, or direct Oracle access.
It is IMHO worth considering.

Those units are still maintained and working with the latest 1.18 "unstable" version of the framework, which is preferred, since it has a lot of bug fixes and is continuously improving.
smile

The ORM and SOA features of the framework (from mORMot.pas) expect Delphi 6 and up.
But those previous units works well with Delphi 5, with very efficient speed and stability.

Offline

Board footer

Powered by FluxBB